# ILevelOfDetailsManager Struct Reference
[External Interfaces]

List of all members.

## Classes
struct | ILevelOfDetailsDistanceSelection
## Public Types
enum | ELODSelectionCriterion { kFunctionalityLODSelectionCriterion, kDistanceLODSelectionCriterion }
## Public Member Functions
virtual int16 | GetNbLOD () const =0
virtual void | AddLOD (TLevelOfDetailsData *lodToAdd, TMCCountedPtrArray< IPolymesh > &lodMesh)=0
virtual void | RemoveLOD (int16 lodIndex)=0
virtual boolean | HasLODByName (const TMCString &queryName)=0
| Check if a LOD by the specified name is already in the list, for this test "Base" is in the list and is considered the name of the base mesh.
virtual ELODSelectionCriterion | GetLODSelectionCriterion () const =0
virtual void | SetLODSelectionCriterion (ELODSelectionCriterion selectedCriterion)=0
virtual const TMCString & | GetLODName (int16 lodIndex) const =0
virtual void | SetLODName (int16 lodIndex, const TMCString &newName)=0
virtual const TMCArray< int16 > & | GetLODDisplayPermutation () const =0
virtual void | SetLODDisplayPermutation (const TMCArray< int16 > &newPermutation)=0
virtual int16 | GetRenderingLODIndex () const =0
virtual void | SetRenderingLODIndex (int16 newVal)=0
virtual int16 | GetViewportLODIndex () const =0
virtual void | SetViewportLODIndex (int16 newVal)=0
virtual const TMCArray < ILevelOfDetailsDistanceSelection > & | GetDistanceSelectionArray () const =0
virtual void | SetDistanceSelectionArray (const TMCArray< ILevelOfDetailsDistanceSelection > &newArray)=0
virtual int16 | GetLODIndex (real32 distance) const =0
virtual uint32 | GetLODIndexForData (TLevelOfDetailsData *lodToSearch) const =0

## Member Enumeration Documentation

enum ILevelOfDetailsManager::ELODSelectionCriterion

Enumerator:

  kFunctionalityLODSelectionCriterion |
  kDistanceLODSelectionCriterion |

## Member Function Documentation

virtual void ILevelOfDetailsManager::AddLOD | ( | TLevelOfDetailsData * | lodToAdd,
|  | TMCCountedPtrArray< IPolymesh > & | lodMesh |
| ) |  |  | `[pure virtual]`

virtual const TMCArray<ILevelOfDetailsDistanceSelection>& ILevelOfDetailsManager::GetDistanceSelectionArray | ( |  | ) | const`[pure virtual]`

virtual const TMCArray<int16>& ILevelOfDetailsManager::GetLODDisplayPermutation | ( |  | ) | const`[pure virtual]`

virtual int16 ILevelOfDetailsManager::GetLODIndex | ( | real32 | distance | ) | const`[pure virtual]`

virtual uint32 ILevelOfDetailsManager::GetLODIndexForData | ( | TLevelOfDetailsData * | lodToSearch | ) | const`[pure virtual]`

virtual const TMCString& ILevelOfDetailsManager::GetLODName | ( | int16 | lodIndex | ) | const`[pure virtual]`

virtual ELODSelectionCriterion ILevelOfDetailsManager::GetLODSelectionCriterion | ( |  | ) | const`[pure virtual]`

virtual int16 ILevelOfDetailsManager::GetNbLOD | ( |  | ) | const`[pure virtual]`

virtual int16 ILevelOfDetailsManager::GetRenderingLODIndex | ( |  | ) | const`[pure virtual]`

virtual int16 ILevelOfDetailsManager::GetViewportLODIndex | ( |  | ) | const`[pure virtual]`

virtual boolean ILevelOfDetailsManager::HasLODByName | ( | const TMCString & | queryName | ) | `[pure virtual]`

Check if a LOD by the specified name is already in the list, for this test "Base" is in the list and is considered the name of the base mesh.

virtual void ILevelOfDetailsManager::RemoveLOD | ( | int16 | lodIndex | ) | `[pure virtual]`

virtual void ILevelOfDetailsManager::SetDistanceSelectionArray | ( | const TMCArray< ILevelOfDetailsDistanceSelection > & | newArray | ) | `[pure virtual]`

virtual void ILevelOfDetailsManager::SetLODDisplayPermutation | ( | const TMCArray< int16 > & | newPermutation | ) | `[pure virtual]`

virtual void ILevelOfDetailsManager::SetLODName | ( | int16 | lodIndex,
|  | const TMCString & | newName |
| ) |  |  | `[pure virtual]`

virtual void ILevelOfDetailsManager::SetLODSelectionCriterion | ( | ELODSelectionCriterion | selectedCriterion | ) | `[pure virtual]`

virtual void ILevelOfDetailsManager::SetRenderingLODIndex | ( | int16 | newVal | ) | `[pure virtual]`

virtual void ILevelOfDetailsManager::SetViewportLODIndex | ( | int16 | newVal | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- I3DExVertexPrimitive.h